Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21718

Description

When "saving as" .kml for a point or polygon shapefile, the symbology export does not work. 

Google earth is able to open the kml with the features in their correct geographic positions, but maintains the standard GE style (ie.

thumbtacks for points, etc)

History

#1 - 2015-11-07 10:09 AM - Giovanni Manghi

- Category set to Vectors

- Subject changed from QGIS 2.12: Symbology export doesn't work for saving points, polygon shapefiles as kml to Symbology export doesn't work

Unless I'm missing something it seems that this functionality is not working as expected.

The manual has a note

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_vector/vector_properties.html

_

"Export vector symbology

You have the option to export vector symbology from QGIS into Google *.kml, *.dxf and MapInfo *.tab files. Just open the right mouse menu of the layer and

click on Save selection as ‣ to specify the name of the output file and its format. In the dialog, use the Symbology export menu to save the symbology either

as Feature symbology ‣ or as Symbol layer symbology ‣. If you have used symbol layers, it is recommended to use the second setting."_

As it seems that the functionality is also related to DXF export let's see if Andreas or Marco (here in CC) have some more info to give.

#2 - 2015-11-07 12:54 PM - Andreas Neumann

I think it works for lines and polygons, but not for points. The symbology export only works on a very basic level. It uses OGR feature styles and those are

quite limited. QGIS is quite powerful regarding styling, but many formats cannot transport these styles. OGR feature styles try to transport styling between

formats - but it is quite limited and hasn't been worked on for quite some years. And maybe QGIS doesn't really use the OGR feature styles to the full

potential. Since the DXF export moved to a native provider (due to the limitations of the OGR feature styling mechanism), I think noone really cared about

improving the "Save with symbology" option in the "Save As Dialog".

If you want that supported, you should either improve the code yourself, or find a developer to do it.

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No
- Easy fix? set to No

#4 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
